# SPDX-License-Identifier: MIT
%global source_name        dejavu-fonts
%global source_summary     The DejaVu font families
%global source_version     2.37
%global source_release     16
%global source_url         https://dejavu-fonts.github.io/
%global source_license     Bitstream Vera and Public Domain
%global source_tags        %{expand:
BuildArch:     noarch
BuildRequires: fontforge
BuildRequires: perl-interpreter
BuildRequires: perl(Font::TTF)
BuildRequires: unicode-ucd
}

%global source_description %{expand:
The DejaVu font set is based on the “Bitstream Vera” font families, release
1.10. Its purpose is to provide a wider range of characters, while maintaining
the original style, using an open collaborative development process.
}

%global forge_url       https://github.com/dejavu-fonts/dejavu-fonts
%global forge_tag       %{lua:t=string.gsub(rpm.expand("version %{source_version}"), "[%p%s]+", "_");print(t)}
%global forge_patchlist %{expand:
%{source_name}-urn-dtd.patch
}

%global default_fonts_foundry  DejaVu
%global default_fonts_licenses LICENSE
%global default_fonts_docs     AUTHORS BUGS NEWS README.md

%global fonts_family0             DejaVu Sans
%global fonts_summary0            DejaVu Sans, a variable-width sans-serif font family
%global fonts_tags0               %{expand:
Obsoletes: dejavu-fonts-common < %{version}-%{release}
Obsoletes: compat-f32-dejavu-sans-fonts
Suggests:  font(dejavusansmono)
}
%global fonts_fonts0              DejaVuSans.ttf DejaVuSans-*.ttf DejaVuSansCondensed*.ttf
%global fonts_confs0              fontconfig/20*-dejavu-sans.conf
%global fonts_experimental_confs0 57-%{fonts_name0}.xml
%global fonts_description0        %{expand:
%{source_description}

This package consists of the DejaVu sans-serif variable-width font faces, in
their unabridged version.
}

%global fonts_family1             DejaVu Serif
%global fonts_summary1            DejaVu Serif, a variable-width serif font family
%global fonts_tags1               %{expand:
Obsoletes: dejavu-math-tex-gyre-fonts < %{version}-%{release}
Obsoletes: compat-f32-dejavu-serif-fonts
}
%global fonts_fonts1              DejaVuSerif.ttf DejaVuSerif-*.ttf DejaVuSerifCondensed*.ttf DejaVuMathTeXGyre.ttf
%global fonts_confs1              fontconfig/20*-dejavu-serif.conf
%global fonts_experimental_confs1 57-%{fonts_name1}.xml
%global fonts_description1        %{expand:
%{source_description}

This package consists of the DejaVu serif variable-width font faces, in their
unabridged version.

It includes the Mathematics extension, that was contributed to the project by
B. Jackowski, P. Strzelczyk and P. Pianowski, on behalf of TeX user groups.}

%global fonts_family2             DejaVu Sans Mono
%global fonts_summary2            DejaVu Sans Mono, a mono-space sans-serif font family
%global fonts_tags2               %{expand:
Obsoletes: compat-f32-dejavu-sans-mono-fonts
}
%global fonts_fonts2              DejaVuSansMono*.ttf
%global fonts_confs2              fontconfig/20*-dejavu-sans-mono.conf
%global fonts_experimental_confs2 57-%{fonts_name2}.xml
%global fonts_description2        %{expand:
%{source_description}

This package consists of the DejaVu sans-serif mono-space font faces, in their
unabridged version.}

%global fonts_family3             DejaVu LGC Sans
%global fonts_summary3            A variable-width Latin-Greek-Cyrillic sans-serif font family
%global fonts_tags3               %{expand:
Suggests:  font(dejavusans)
}
%global fonts_fonts3              DejaVuLGCSans.ttf DejaVuLGCSans-*.ttf DejaVuLGCSansCondensed*.ttf
%global fonts_conf3               fontconfig/20*-dejavu-lgc-sans.conf
%global fonts_experimental_confs3 58-%{fonts_name3}.xml
%global fonts_description3        %{expand:
%{source_description}

This package consists of the DejaVu sans-serif variable-width font faces, with
Unicode coverage restricted to Latin, Greek and Cyrillic.}

%global fonts_family4             DejaVu LGC Serif
%global fonts_summary4            A variable-width Latin-Greek-Cyrillic serif font family
%global fonts_tags4               %{expand:
Suggests:  font(dejavuserif)
}
%global fonts_fonts4              DejaVuLGCSerif.ttf DejaVuLGCSerif-*.ttf DejaVuLGCSerifCondensed*.ttf
%global fonts_confs4              fontconfig/20*-dejavu-lgc-serif.conf
%global fonts_experimental_confs4 58-%{fonts_name4}.xml
%global fonts_description4        %{expand:
%{source_description}

This package consists of the DejaVu serif variable-width font faces, with
Unicode coverage restricted to Latin, Greek and Cyrillic.}

%global fonts_family5             DejaVu LGC Sans Mono
%global fonts_summary5            A variable-width Latin-Greek-Cyrillic mono-space font family
%global fonts_tags5               %{expand:
Suggests:  font(dejavusansmono)
}
%global fonts_fonts5              DejaVuLGCSansMono*.ttf
%global fonts_confs5              fontconfig/20*-dejavu-lgc-sans-mono.conf
%global fonts_experimental_confs5 58-%{fonts_name5}.xml
%global fonts_description5        %{expand:
%{source_description}

This package consists of the DejaVu Mono fixed-width font faces, with Unicode
coverage restricted to Latin, Greek and Cyrillic.}

%global fonts_meta_packages0    0 1 2

%global fonts_meta_name1        dejavu-lgc-fonts-all
%global fonts_meta_summary1     All the font packages, generated from %{source_name}, Latin-Greek-Cyrillic subset
%global fonts_meta_packages1    3 4 5
%global fonts_meta_description1 %{expand:
This meta-package installs all the font packages, generated from the %{source_name}
source package, in a version restricted to coverage of Latin, Greek and
Cyrillic.
}

%global doc_licenses0 %{default_fonts_licenses}
%global doc_docs0     *.txt.xz

%auto_init
%auto_pkg

%sourcelist
57-%{fonts_name0}.xml
57-%{fonts_name1}.xml
57-%{fonts_name2}.xml
58-%{fonts_name3}.xml
58-%{fonts_name4}.xml
58-%{fonts_name5}.xml
%auto_sources

%patchlist
%auto_patches

%prep
%auto_prep
install -m 644 %{_sourcedir}/*xml .

%build
make %{?_smp_mflags} VERSION=%{version} FC-LANG="" \
     BLOCKS=/usr/share/unicode/ucd/Blocks.txt \
     UNICODEDATA=/usr/share/unicode/ucd/UnicodeData.txt \
     BUILDDIR=.
xz -9 *.txt
%auto_build

%install
%auto_install

%check
make check
%auto_check

%auto_files

%changelog

* Thu Apr 02 2020 Nicolas Mailhot <nim@fedoraproject.org>
- 2.37-12
👻 Rebuild with fonts-rpm-macros 2.0.4 to make sure fontconfig files are valid

* Mon Mar 09 2020 Nicolas Mailhot <nim@fedoraproject.org>
- 2.37-7
✅ Remove F32 compatibility packages

* Mon Mar 02 2020 Nicolas Mailhot <nim@fedoraproject.org>
- 2.37-6
✅ Lint, lint, lint and lint again

* Sat Feb 22 2020 Nicolas Mailhot <nim@fedoraproject.org>
- 2.37-5
✅ Rebuild with fonts-rpm-macros 2.0.2

* Sat Feb 15 2020 Nicolas Mailhot <nim@fedoraproject.org>
- 2.27-4
✅ Convert to fonts-rpm-macros use
✅ Merge math extension into serif

* Sat Feb 19 2005 Nicolas Mailhot <nim@fedoraproject.org>
- 1.7-1
✅ initial build – using vera as template
